## python-os-traits 0.3.3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
six>=1.9.0 # MIT

=== debian/changelog ===
python-os-traits (0.3.3-0ubuntu1) artful; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Aug 2017 17:04:42 -0400

python-os-traits (0.3.1-0ubuntu1) artful; urgency=low

  * Initial package to support OpenStack Pike b2.

 -- James Page <james.page@ubuntu.com>  Thu, 08 Jun 2017 09:41:49 +0100

=== debian/control ===
Source: python-os-traits
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all (>= 2.6.6-3),
               python-pbr (>= 2.0.0),
               python-setuptools (>= 0.6b3),
               python-six (>= 1.9.0),
               python3-all,
               python3-pbr (>= 2.0.0),
               python3-setuptools,
               python3-six (>= 1.9.0),
Build-Depends-Indep: python-oslotest (>= 1.10.0),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python3-oslotest (>= 1.10.0),
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 1.4.0),
                     testrepository,
Standards-Version: 3.9.8
Homepage: https://github.com/openstack/os-traits
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-traits
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-traits
Testsuite: autopkgtest-pkg-python

Package: python-os-traits
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
Description: A library containing standardized trait strings for OpenStack
 Traits are strings that represent a feature of some resource provider.  This
 library contains the catalog of constants that have been standardized in the
 OpenStack community to refer to a particular hardware, virtualization, storage,
 network, or device trait.
 .
 This package provides the Python 2 module.

Package: python3-os-traits
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: A library containing standardized trait strings for OpeNStack
 Traits are strings that represent a feature of some resource provider.  This
 library contains the catalog of constants that have been standardized in the
 OpenStack community to refer to a particular hardware, virtualization, storage,
 network, or device trait.
 .
 This package provides the Python 3 module.

## python-os-traits 0.5.0

=== debian/changelog ===
python-os-traits (0.5.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Fri, 26 Jan 2018 11:30:02 +0000

python-os-traits (0.4.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Bumped Standards-Version to 4.1.2.

 -- James Page <james.page@ubuntu.com>  Fri, 08 Dec 2017 16:11:15 +0000

=== debian/control ===
Source: python-os-traits
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python-all (>= 2.6.6-3),
 python-pbr (>= 2.0.0),
 python-setuptools (>= 0.6b3),
 python-six (>= 1.10.0),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-six (>= 1.10.0),
Build-Depends-Indep:
 python-oslotest (>= 1.10.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python3-oslotest (>= 1.10.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 testrepository,
Standards-Version: 4.1.2
Homepage: https://github.com/openstack/os-traits
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-traits
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-traits
Testsuite: autopkgtest-pkg-python

Package: python-os-traits
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
Description: A library containing standardized trait strings for OpenStack
 Traits are strings that represent a feature of some resource provider.  This
 library contains the catalog of constants that have been standardized in the
 OpenStack community to refer to a particular hardware, virtualization, storage,
 network, or device trait.
 .
 This package provides the Python 2 module.

Package: python3-os-traits
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: A library containing standardized trait strings for OpeNStack
 Traits are strings that represent a feature of some resource provider.  This
 library contains the catalog of constants that have been standardized in the
 OpenStack community to refer to a particular hardware, virtualization, storage,
 network, or device trait.
 .
 This package provides the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=os-traits

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## python-os-traits 0.9.0

=== doc/requirements.txt ===
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
openstackdocstheme>=1.18.1 # Apache-2.0

# releasenotes
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-os-traits (0.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 23:39:21 +0200

python-os-traits (0.9.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Add trailing tilde to min version depend to allow
    backports
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Building the doc with Python 3.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Aug 2018 17:25:44 +0200

python-os-traits (0.5.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 22:50:42 +0000

python-os-traits (0.5.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Feb 2018 09:29:05 +0000

python-os-traits (0.3.3-1) unstable; urgency=medium

  * Initial release. (Closes: #877980)

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Oct 2017 11:06:51 +0200

=== debian/control ===
Source: python-os-traits
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 9~),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python-coverage,
 python-hacking,
 python3-openstackdocstheme (>= 1.18.1),
 python-oslotest (>= 1.10.0),
 python-six,
 python-stestr,
 python-testscenarios,
 python-testtools (>= 2.2.0),
 python3-oslotest (>= 1.10.0),
 python3-six,
 python3-stestr,
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-traits
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-traits.git
Homepage: http://www.openstack.org/

Package: python-os-traits
Architecture: all
Depends:
 python-pbr (>= 2.0.0),
 python-six,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-os-traits-doc,
Description: standardized trait strings - Python 2.7
 Os-traits is a library containing standardized trait strings.
 .
 Traits are strings that represent a feature of some resource provider.  This
 library contains the catalog of constants that have been standardized in the
 OpenStack community to refer to a particular hardware, virtualization,
 storage, network, or device trait.
 .
 This package contains the Python 2.7 module.

Package: python-os-traits-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: standardized trait strings - doc
 Os-traits is a library containing standardized trait strings.
 .
 Traits are strings that represent a feature of some resource provider.  This
 library contains the catalog of constants that have been standardized in the
 OpenStack community to refer to a particular hardware, virtualization,
 storage, network, or device trait.
 .
 This package contains the documentation.

Package: python3-os-traits
Architecture: all
Depends:
 python3-pbr (>= 2.0.0),
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-os-traits-doc,
Description: standardized trait strings - Python 3.x
 Os-traits is a library containing standardized trait strings.
 .
 Traits are strings that represent a feature of some resource provider.  This
 library contains the catalog of constants that have been standardized in the
 OpenStack community to refer to a particular hardware, virtualization,
 storage, network, or device trait.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/os-traits.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-os-traits-doc/usr/share/doc/python-os-traits-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/os-traits/os-traits-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-os-traits 0.11.0

=== debian/changelog ===
python-os-traits (0.11.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 00:01:52 +0200

python-os-traits (0.11.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Mar 2019 17:45:49 +0100

=== debian/control ===
Source: python-os-traits
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-openstackdocstheme,
 python3-oslotest,
 python3-six,
 python3-stestr,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-traits
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-traits.git
Homepage: http://www.openstack.org/

Package: python-os-traits-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: standardized trait strings - doc
 Os-traits is a library containing standardized trait strings.
 .
 Traits are strings that represent a feature of some resource provider.  This
 library contains the catalog of constants that have been standardized in the
 OpenStack community to refer to a particular hardware, virtualization,
 storage, network, or device trait.
 .
 This package contains the documentation.

Package: python3-os-traits
Architecture: all
Depends:
 python3-pbr,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-os-traits-doc,
Description: standardized trait strings - Python 3.x
 Os-traits is a library containing standardized trait strings.
 .
 Traits are strings that represent a feature of some resource provider.  This
 library contains the catalog of constants that have been standardized in the
 OpenStack community to refer to a particular hardware, virtualization,
 storage, network, or device trait.
 .
 This package contains the Python 3.x module.

## python-os-traits 0.16.0

=== debian/changelog ===
python-os-traits (0.16.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 09:52:31 +0200

python-os-traits (0.16.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Sep 2019 21:18:46 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -22,7 +22,7 @@
  python3-testscenarios,
  python3-testtools,
  subunit,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-traits
 Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-traits.git
 Homepage: http://www.openstack.org/

## python-os-traits 2.2.0

=== debian/changelog ===
python-os-traits (2.2.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 03 Feb 2020 10:27:55 +0000

python-os-traits (2.1.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 16 Dec 2019 14:41:07 -0500

python-os-traits (1.1.0-0ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/copyright: Retain Canonical copyright.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Use upstream release tarballs.
  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 05 Dec 2019 13:46:14 -0500

python-os-traits (0.16.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Aug 2019 22:01:57 -0400

python-os-traits (0.15.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 30 Jul 2019 15:36:49 -0400

python-os-traits (0.14.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Fri, 21 Jun 2019 09:21:06 +0200

python-os-traits (0.13.0-0ubuntu1) eoan; urgency=medium

  * Merge from Debian experimental.  Remaining changes:
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/copyright: Retain Canonical copyright.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Use upstream release tarballs.
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 10 Jun 2019 18:29:04 -0400

python-os-traits (0.11.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Tue, 12 Mar 2019 09:40:24 +0000

python-os-traits (0.10.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Jan 2019 12:59:39 -0500

python-os-traits (0.9.0-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/copyright: Retain Canonical copyright for debian/*.
    - d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Aug 2018 15:13:41 -0400

## python-os-traits 2.3.0

=== doc/requirements.txt ===
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4'  # BSD
openstackdocstheme>=1.18.1 # Apache-2.0

# releasenotes
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-os-traits (2.3.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 14:27:24 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-os-traits
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -9,23 +10,26 @@
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- python3-coverage,
- python3-hacking,
- python3-openstackdocstheme,
- python3-oslotest,
- python3-six,
- python3-stestr,
- python3-testscenarios,
- python3-testtools,
+ python3-coverage (>= 4.0),
+ python3-hacking (>= 1.1.0),
+ python3-openstackdocstheme (>= 1.18.1),
+ python3-oslotest (>= 1:3.2.0),
+ python3-reno (>= 2.5.0),
+ python3-six (>= 1.10.0),
+ python3-stestr (>= 2.0.0),
+ python3-subunit (>= 1.0.0),
+ python3-testscenarios (>= 0.4),
+ python3-testtools (>= 2.2.0),
  subunit,
 Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-traits
-Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-traits.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-traits
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-traits
 Homepage: http://www.openstack.org/
+Testsuite: autopkgtest-pkg-python
 
 Package: python-os-traits-doc
 Section: doc
@@ -46,8 +50,8 @@
 Package: python3-os-traits
 Architecture: all
 Depends:
- python3-pbr,
- python3-six,
+ python3-pbr (>= 2.0.0),
+ python3-six (>= 1.10.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/os-traits/ os-traits-(\d.*)\.tar\.gz

## python-os-traits 2.4.0

=== debian/changelog ===
python-os-traits (2.4.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2020 15:27:05 +0200

python-os-traits (2.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Sep 2020 09:10:16 +0200

python-os-traits (2.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 18:25:25 +0200

python-os-traits (2.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed -six from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Apr 2020 22:47:12 +0200

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/os-traits.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-os-traits-doc/usr/share/doc/python-os-traits-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## python-os-traits 2.5.0

=== debian/changelog ===
python-os-traits (2.5.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 05 Mar 2021 17:04:18 +0000

python-os-traits (2.5.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 04 Mar 2021 08:20:56 +0000

python-os-traits (2.4.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Update Standards-Version to 4.5.0.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Tue, 07 Jul 2020 14:44:57 +0000

## python-os-traits 2.6.0

=== debian/changelog ===
python-os-traits (2.6.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 07 Sep 2021 19:35:46 +0000

python-os-traits (2.6.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 14:17:55 -0400

## python-os-traits 2.7.0

=== debian/changelog ===
python-os-traits (2.7.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2022 14:36:03 -0500

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,11 @@
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  python3-coverage (>= 4.0),
  python3-hacking (>= 1.1.0),
- python3-openstackdocstheme (>= 1.18.1),
+ python3-openstackdocstheme (>= 2.2.1),
  python3-oslotest (>= 1:3.2.0),
  python3-reno (>= 2.5.0),
  python3-six (>= 1.10.0),
@@ -25,10 +25,10 @@
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
  subunit,
-Standards-Version: 4.4.1
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-traits
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-traits
-Homepage: http://www.openstack.org/
+Standards-Version: 4.5.0
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-os-traits
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-os-traits
+Homepage: https://www.openstack.org/
 Testsuite: autopkgtest-pkg-python
 
 Package: python-os-traits-doc

## python-os-traits 2.9.0

=== debian/changelog ===
python-os-traits (2.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 12:05:45 +0200

python-os-traits (2.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Aug 2022 11:27:40 +0200

python-os-traits (2.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 14:32:12 +0100

python-os-traits (2.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 19 Feb 2022 10:47:50 +0100

python-os-traits (2.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 11:22:48 +0200

python-os-traits (2.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Aug 2021 10:33:45 +0200

python-os-traits (2.5.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 10:38:14 +0200

python-os-traits (2.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Mar 2021 12:45:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-os-traits
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -10,26 +9,22 @@
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr,
  python3-setuptools,
- python3-sphinx (>= 2.0.0),
+ python3-sphinx,
 Build-Depends-Indep:
- python3-coverage (>= 4.0),
- python3-hacking (>= 1.1.0),
- python3-openstackdocstheme (>= 2.2.1),
- python3-oslotest (>= 1:3.2.0),
- python3-reno (>= 2.5.0),
- python3-six (>= 1.10.0),
- python3-stestr (>= 2.0.0),
- python3-subunit (>= 1.0.0),
- python3-testscenarios (>= 0.4),
- python3-testtools (>= 2.2.0),
+ python3-coverage,
+ python3-hacking,
+ python3-openstackdocstheme,
+ python3-oslotest,
+ python3-stestr,
+ python3-testscenarios,
+ python3-testtools,
  subunit,
-Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-os-traits
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-os-traits
-Homepage: https://www.openstack.org/
-Testsuite: autopkgtest-pkg-python
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-traits
+Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-traits.git
+Homepage: http://www.openstack.org/
 
 Package: python-os-traits-doc
 Section: doc
@@ -50,8 +45,7 @@
 Package: python3-os-traits
 Architecture: all
 Depends:
- python3-pbr (>= 2.0.0),
- python3-six (>= 1.10.0),
+ python3-pbr,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/os-traits/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-os-traits 2.10.0

=== debian/changelog ===
python-os-traits (2.10.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:08:08 +0200

python-os-traits (2.10.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Feb 2023 12:23:15 +0100

## python-os-traits 3.0.0

=== debian/changelog ===
python-os-traits (3.0.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Jun 2023 17:02:29 -0400

python-os-traits (2.10.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 14:00:34 -0500

python-os-traits (2.9.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Bump debhelper compat to 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 19:44:35 -0400

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,34 @@
 Source: python-os-traits
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- python3-coverage,
- python3-hacking,
- python3-openstackdocstheme,
- python3-oslotest,
- python3-stestr,
- python3-testscenarios,
- python3-testtools,
+ python3-coverage (>= 4.0),
+ python3-hacking (>= 1.1.0),
+ python3-openstackdocstheme (>= 2.2.1),
+ python3-oslotest (>= 1:3.2.0),
+ python3-reno (>= 2.5.0),
+ python3-six (>= 1.10.0),
+ python3-stestr (>= 2.0.0),
+ python3-subunit (>= 1.0.0),
+ python3-testscenarios (>= 0.4),
+ python3-testtools (>= 2.2.0),
  subunit,
-Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-traits
-Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-traits.git
-Homepage: http://www.openstack.org/
+Standards-Version: 4.6.1
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-os-traits
+Homepage: https://opendev.org/openstack/os-traits
+Testsuite: autopkgtest-pkg-python
 
 Package: python-os-traits-doc
 Section: doc
@@ -45,7 +49,8 @@
 Package: python3-os-traits
 Architecture: all
 Depends:
- python3-pbr,
+ python3-pbr (>= 2.0.0),
+ python3-six (>= 1.10.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,12 @@
 #!/usr/bin/make -f
+
+export PYBUILD_NAME=os_traits
 
 UPSTREAM_GIT := https://github.com/openstack/os-traits.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build
@@ -23,6 +25,6 @@
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-os-traits-doc/usr/share/doc/python-os-traits-doc/html
-	dh_sphinxdoc -O--buildsystem=python_distutils
+	dh_sphinxdoc -O--buildsystem=pybuild
 endif

## python-os-traits 3.1.0

=== debian/changelog ===
python-os-traits (3.1.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090558).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 09:21:36 +0100

python-os-traits (3.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:27:18 +0200

python-os-traits (3.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 12:12:27 +0200

python-os-traits (3.0.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * d/watch: use version 4 and gitmode.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Oct 2023 13:45:45 +0200

python-os-traits (3.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Aug 2023 11:21:11 +0200

python-os-traits (2.10.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046915).

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Aug 2023 11:17:50 +0200

## python-os-traits 3.3.0

=== debian/changelog ===
python-os-traits (3.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 08:00:12 +0100

python-os-traits (3.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 Mar 2025 18:27:20 +0100

## python-os-traits 3.4.0

=== debian/changelog ===
python-os-traits (3.4.0-1~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-epoxy.debian.net>  Thu, 03 Apr 2025 06:34:06 +0000

python-os-traits (3.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Apr 2025 08:32:12 +0200

## python-os-traits 3.5.0

=== requirements.txt ===
pbr>=3.0.0 # Apache-2.0

=== doc/requirements.txt ===
sphinx>=2.1.1 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0

# releasenotes
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
python-os-traits (3.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 18:25:34 +0200

python-os-traits (3.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 12:05:44 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-export PYBUILD_NAME=os_traits
 
 UPSTREAM_GIT := https://github.com/openstack/os-traits.git
 include /usr/share/openstack-pkg-tools/pkgos.make
@@ -9,7 +7,9 @@
 	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build .stestr *.egg-info doc/source/reference/traits.rst
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/os-traits refs/tags/(\d[brc\d\.]+)

## python-os-traits 3.6.0

=== debian/changelog ===
python-os-traits (3.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Added myself in copyright and uploaders.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Thu, 26 Feb 2026 11:42:04 +0100

python-os-traits (3.5.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046915).

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Feb 2026 13:01:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,31 @@
 Source: python-os-traits
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Guillaume Boutry <guillaume.boutry@canonical.com>,
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr,
  python3-setuptools,
- python3-sphinx (>= 2.0.0),
+ python3-sphinx,
 Build-Depends-Indep:
- python3-coverage (>= 4.0),
- python3-hacking (>= 1.1.0),
- python3-openstackdocstheme (>= 2.2.1),
- python3-oslotest (>= 1:3.2.0),
- python3-reno (>= 2.5.0),
- python3-six (>= 1.10.0),
- python3-stestr (>= 2.0.0),
- python3-subunit (>= 1.0.0),
- python3-testscenarios (>= 0.4),
- python3-testtools (>= 2.2.0),
+ python3-coverage,
+ python3-hacking,
+ python3-openstackdocstheme,
+ python3-oslotest,
+ python3-stestr,
+ python3-testscenarios,
+ python3-testtools,
  subunit,
-Standards-Version: 4.6.1
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-os-traits
-Homepage: https://opendev.org/openstack/os-traits
-Testsuite: autopkgtest-pkg-python
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-traits
+Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-traits.git
+Homepage: http://www.openstack.org/
 
 Package: python-os-traits-doc
 Section: doc
@@ -49,8 +46,7 @@
 Package: python3-os-traits
 Architecture: all
 Depends:
- python3-pbr (>= 2.0.0),
- python3-six (>= 1.10.0),
+ python3-pbr,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:
